Bug 1399598 - [USS,SSL] .snaps directory is not reachable when I/O encryption (SSL) is enabled
Summary: [USS,SSL] .snaps directory is not reachable when I/O encryption (SSL) is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: rjoseph
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1400013 1400458 1400459 1400460
TreeView+ depends on / blocked
 
Reported: 2016-11-29 11:29 UTC by Vivek Das
Modified: 2017-03-23 05:52 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1400013 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:52:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Vivek Das 2016-11-29 11:29:16 UTC
Description of problem:
.snaps directory is not created when snapshot is taken in SSl enabled setup with all the VSS plugin present in smb.conf

Version-Release number of selected component (if applicable):
samba-4.4.6-2.el7rhgs.x86_64
glusterfs-fuse-3.8.4-5.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.4 node gluster cluster with samba ctdb setup
2.Enable USS & features.show-snapshot-directory
3.Add all the required VSS plugins
4.Create a snapshot & activate the snapshot according to the smb.conf vss plugins
5.Mount samba share in windows and check for .snaps directory

Actual results:
No .snaps directory is found

Expected results:
.snaps directory should be present

Additional info:
Error messages in client log

[2016-11-29 05:22:50.766313] E [socket.c:2436:socket_poller] 0-samba-official-snapd-client: client setup failed

[2016-11-29 05:22:54.761085] I [socket.c:343:ssl_setup_connection] 0-samba-official-snapd-client: peer CN = dhcp43-214.lab.eng.blr.redhat.com
[2016-11-29 05:22:54.761126] I [socket.c:346:ssl_setup_connection] 0-samba-official-snapd-client: SSL verification succeeded (client: 127.0.0.1:24007)
[2016-11-29 05:22:54.762038] I [rpc-clnt.c:1947:rpc_clnt_reconfig] 0-samba-official-snapd-client: changing port to 49154 (from 0)

[2016-11-29 05:22:54.778722] E [socket.c:3097:socket_connect] 0-samba-official-
snapd-client: connection attempt on 127.0.0.1:24007 failed, (Connection refused)

Comment 5 Atin Mukherjee 2016-11-30 16:42:42 UTC
upstream mainline patch http://review.gluster.org/15979 posted for review.

Comment 7 rjoseph 2016-12-01 10:32:05 UTC
Upstream master      : http://review.gluster.org/15979
Upstream release 3.7 : http://review.gluster.org/15988
Upstream release 3.8 : http://review.gluster.org/15986
Upstream release 3.9 : http://review.gluster.org/15987

Downstream Patch     : https://code.engineering.redhat.com/gerrit/91854

Comment 9 Anil Shah 2016-12-29 11:06:10 UTC
.snaps directory is accessible /visible  , when SSL is enabled on volume.
bug verified on build glusterfs-3.8.4-10.el7rhgs.x86_64

Comment 11 errata-xmlrpc 2017-03-23 05:52:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.